Jump to content

Repeating Break at Point


Ramsden

Recommended Posts

Hello,

 

I currently use a full version of AutoCAD 2009. One thing I was able to do previously was repeat break at point by right-clicking and selecting the repeat function.

 

Now when I try to do that in AuctoCAD 2009, the repeat function will result with just a plain break instead of a break at point.

 

My question is, how do i get this functionality back so that I can repeat break at point as many times as I need to? I use this command many times back to back and hate having to go click on the button from the ribbon menu.

 

Thanks for any help provided.

Link to comment
Share on other sites

add this to your acaddoc.lsp file, it'll be a command then. Invoke the command with Brk-At or BB

(defun c:brk-at ( / e1)
(setq e1(entsel "Select object: "))
   (command "break" e1 "f" pause "@" )
     (princ)
)
(defun c:bb () (c:brk-at))

Link to comment
Share on other sites

Thats a nifty lisp routine lpseifert.

 

To the OP:

 

Break-at point has always been as it is now (at least since version 10). It was simplified in one command when toolbars were introduced. You can't use a repeat on it. If you do, it will just invoke the regular break command. So in essence break-at can only be invoked from the toolbar each time it is needed.

 

It is the same as using break (at the command line) then picking the first option then typing in the @ symbol for your second selection. Hence the line (command "break" e1 "f" pause "@" ) in the lisp routine posted by lpseifert.

 

I hope this little history lesson helps you to understand the reason behind this quirky command.

Link to comment
Share on other sites

Try putting this macro on a button, I use it frequently -

 

*^C^C_break \_f \@

 

The '*' tells it to repeat- so one click of the button then pick line, pick break point, pick next line, pick break point, .......etc until you press esc.

Link to comment
Share on other sites

Thats a nifty lisp routine lpseifert.

 

To the OP:

 

Break-at point has always been as it is now (at least since version 10). It was simplified in one command when toolbars were introduced. You can't use a repeat on it. If you do, it will just invoke the regular break command. So in essence break-at can only be invoked from the toolbar each time it is needed.

 

It is the same as using break (at the command line) then picking the first option then typing in the @ symbol for your second selection. Hence the line (command "break" e1 "f" pause "@" ) in the lisp routine posted by lpseifert.

 

I hope this little history lesson helps you to understand the reason behind this quirky command.

 

Thanks. But i swear I was able to do a repeat when I was using 2008. Maybe I'm remembering wrong or I did something else...

 

Anyways, thank you all for the replies. It looks like I need to do a bit more reading up on buttons/macros some as most of your answers are foreign to me =) I think I can run with what yall have given me though, thanks again =)

Link to comment
Share on other sites

  • 3 years later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...